# Uses of Class
javafx.css.Declaration

Packages that use Declaration
Package
Description
javafx.css
Provides API for making properties styleable via CSS and for supporting pseudo-class state.

## Uses of Declaration in javafx.css

Methods in javafx.css that return Declaration
Modifier and Type
Method
Description
`Declaration`
Style.`getDeclaration()`
The Declaration that is the source of the style that is about to be applied or has just been applied.
Methods in javafx.css that return types with arguments of type Declaration
Modifier and Type
Method
Description
`final ObservableList<Declaration>`
Rule.`getDeclarations()`
This method is to support tooling that may want to add declarations to or remove declarations from a Rule.
Constructors in javafx.css with parameters of type Declaration
Modifier
Constructor
Description
``
`Style(Selector selector, Declaration declaration)`